<?
include 'inclydings/gzips.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/ini.php");
include_once("inclydings/zag.php");
include_once("inclydings/sesi.php");
if (isset($user)) {
echo'<div class="menu6">';

switch($_GET[mod]){
default:


$req = mysql_query("SELECT * FROM `table_anketa` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==0){echo"У вас нет анкеты!<br>Вы можете заполнить анкету!<hr/>";
echo" <a href=\"anketa.php?$sd&mod=yes\">Заполнить анкету</a><br/>";
}

$req = mysql_query("SELECT * FROM `table_anketa` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto>=1){
While($mag = mysql_fetch_array($req))
{


echo"<b>Анкета персонажа:</b>"; echo"<b> $log</b>";


echo"<hr/><b>Имя:</b> $mag[Imya]<hr/>";
echo"<b>Фамилия:</b> $mag[familia]<hr/>";
echo"<b>Год рождения:</b> $mag[god]<hr/>";
echo"<b>Страна:</b> $mag[strana]<hr/>";
echo"<b>Город:</b> $mag[gorod]<hr/>";
echo"<b>Любимая музыка:</b> $mag[muz]<hr/>";
echo"<b>Интересы:</b> $mag[interes]<hr/>";
echo"<b>О себе:</b> $mag[info]<hr/>";
}
$req = mysql_query("SELECT * FROM `table_anketa` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
echo" <a href=\"anketa.php?$sd&mod=izmin\">Изменить анкету</a><br/>";

}

break;

case 'izmin':

mysql_query("DELETE FROM `table_anketa` WHERE usr='$log'");//чистим анкету

if(empty($_POST[name]) or empty($_POST[text]) or empty($_POST[god]) or empty($_POST[strana]) or empty($_POST[gorod]) or empty($_POST[muz]) or empty($_POST[info])){
echo "<form action=\"anketa.php?$sd&mod=yes\" method=\"post\">";
echo"Имя: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"name\" maxlength=\"15\"/><br/>";
echo"Фамилия: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"text\" maxlength=\"15\"/><br/>";
echo"Год рождения: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"god\" maxlength=\"4\"/><br/>";
echo"Страна:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"strana\" maxlength=\"15\"/><br/>";
echo"Город:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"gorod\" maxlength=\"15\"/><br/>";
echo"Любимая музыка:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"muz\" maxlength=\"20\"/><br/>";
echo"Интересы: < <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"interes\" maxlength=\"200\"/><br/>";
echo"О себе:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"info\" maxlength=\"200\"/><br/>";
echo '<input class="button" type="submit" value="сохранить" /></form>';
}else{

mysql_query("INSERT INTO
        `table_anketa` SET
        `usr` = '$log'");

$name=htmlspecialchars($_POST[name]);
$text=htmlspecialchars($_POST[text]);
$god=htmlspecialchars($_POST[god]);
$strana=htmlspecialchars($_POST[strana]);
$gorod=htmlspecialchars($_POST[gorod]);
$muz=htmlspecialchars($_POST[muz]);
$interes=htmlspecialchars($_POST[interes]);
$info=htmlspecialchars($_POST[info]);

mysql_query("UPDATE `table_anketa` SET `Imya` = '$name', `familia` = '$text', `god` = '$god', `strana` = '$strana', `gorod` = '$gorod', `muz` = '$muz', `interes` = '$interes', `info` = '$info' WHERE `usr` = '$log'");
echo"Вы успешно заполнили свою анкету!<br/>";
}

break;

case 'yes':

{
$req = mysql_query("SELECT * FROM `table_anketa` WHERE `usr` = '$log' LIMIT 1");
////////////////////////////
if (mysql_num_rows($req)==1){echo"У вас уже есть анкета вы хотите сменить ваши данные?<hr/> <a href=\"anketa.php?'.$sd.'&mod=izmin\">Изменить анкету</a><br/>";
include_once"inclydings/down.php";
exit;
}}

if(empty($_POST[name]) or empty($_POST[text]) or empty($_POST[god]) or empty($_POST[strana]) or empty($_POST[gorod]) or empty($_POST[muz]) or empty($_POST[info])){
echo "<form action=\"anketa.php?$sd&mod=yes\" method=\"post\">";
echo"Имя: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"name\" maxlength=\"15\"/><br/>";
echo"Фамилия: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"text\" maxlength=\"15\"/><br/>";
echo"Год рождения: <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"god\" maxlength=\"4\"/><br/>";
echo"Страна:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"strana\" maxlength=\"15\"/><br/>";
echo"Город:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"gorod\" maxlength=\"15\"/><br/>";
echo"Любимая музыка:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"muz\" maxlength=\"20\"/><br/>";
echo"Интересы:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"interes\" maxlength=\"200\"/><br/>";
echo"О себе:  <br/>";
echo"<input class='input' type=\"text\" size=\"15\" name=\"info\" maxlength=\"100\"/><br/>";
echo '<input class="button" type="submit" value="сохранить" /></form>';
}else{

mysql_query("INSERT INTO
        `table_anketa` SET
        `usr` = '$log'");

$name=htmlspecialchars($_POST[name]);
$text=htmlspecialchars($_POST[text]);
$god=htmlspecialchars($_POST[god]);
$strana=htmlspecialchars($_POST[strana]);
$gorod=htmlspecialchars($_POST[gorod]);
$muz=htmlspecialchars($_POST[muz]);
$interes=htmlspecialchars($_POST[interes]);
$info=htmlspecialchars($_POST[info]);

mysql_query("UPDATE `table_anketa` SET `Imya` = '$name', `familia` = '$text', `god` = '$god', `strana` = '$strana', `gorod` = '$gorod', `muz` = '$muz', `interes` = '$interes', `info` = '$info' WHERE `usr` = '$log'");
echo"Анкета создана!<br/>";
}


}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>